package jp.sourceforge.cfneo.at4ie.api.impl.ie.invoker;

import jp.sourceforge.cfneo.at4ie.api.AT4IEAssertException;
import jp.sourceforge.cfneo.at4ie.api.ActionCommandEnum;
import jp.sourceforge.cfneo.at4ie.api.Context;
import jp.sourceforge.cfneo.at4ie.api.Invoker;
import jp.sourceforge.cfneo.at4ie.api.TargetBrowser;
import jp.sourceforge.cfneo.at4ie.api.TestCase;
import jp.sourceforge.cfneo.at4ie.api.impl.DefaultTestCase;

/**
 * command=clickAndWaitのInvoker。<br />
 * 指定されたボタンを押した後、1秒待機する。
 * @author imaitakafumi
 *
 */
public class ClickAndWaitInvoker extends Invoker {

	/**
	 * コンストラクタ。
	 * @param context
	 * @param browser
	 */
	public ClickAndWaitInvoker(Context context, TargetBrowser browser) {
		super(context, browser);
	}

	@Override
	public void invoke(TestCase testCase) throws AT4IEAssertException {
		this.getContext().getInvokerFactory().getInvoker(
				ActionCommandEnum.ACTION_CLICK).invoke(testCase);
		this.getContext().getInvokerFactory().getInvoker(
				ActionCommandEnum.WAIT).invoke(new DefaultTestCase(
						this.getContext(), null, null, "1"));
	}

}
